[EPIC] Mo6inbHui popatok - Task #5078

CTBOpPEHHSI HOBOro MOAY/NO B MOGinbHOMY poanatky "lMocrayanbHUK"
18/08/2023 06:37 - ¥ Sandra Ta Chan

Status: Ready for development Start date:
Priority: High Due date:
Assignee: # Aleksandr Tsymbalyuk Spent time: 0.00 hour
Category:
Target version: 27 mobile
Category: Mobile app Current Version: Release 110
Due date: OS (operating
system):
Client: Casa Curata
Description

MpuunHa noTtpebu:

MarasuH npofae nonMyHWA NPOCTip MocTavanbHUKaM Ta nocTadanbHUK PErynsipHo NepeBipsie BUKNAAKy B MarasuvHi Yv cnisnagae
BUKNamnka fnoroeopy. MoctayanbHUKY BaXIMBO PO3YMIiTU NPU He BiANOBIAHOCTI BUKNALKM YMOBAM LOrOBOPY Lie NoMumika
npauiBHMKa MarasuHy, Y TakMMm Y HOM CTBOPEHa MiaHorpama.

HeobxinHo po3pobuT HOBKI MOAy b B MOGINIbHOMY [IOAATKY Ta CTBOPUTW HOBY POJib 3 MpaBamu AocTyny "MocTtavyanbHuk".
MocTtayanbHWk B MOBinbHii Ta Beb-Bepcii 6auntb nuwwe cBoT ToBapwW, TOBapW Ta AaHi MPO HMX iHWKX NOCTavYaNnbHUKIB ONs HbOrO He
OOCTYMHi.

BaxaHo gonatu aHaniTvky B MOBinbHUIA OOATOK, fe MOXHA BUBECTM A0J10 NocTadvanbHyKa no obnagHaHHI/MonuLi 3 MOXMBUM
COPTYBAHHSM M0 KaTeropii ToBapy.

Takox noTeHLUiiHo, HeobxigHO Byae JoAaTy MOXI/MBICTb PO3APYKYBaTK MnaHorpamy abo mekinbka ong noctayanbHuka sk 3i
CTOPOHW KNi€HTa Tak i 3i CTOPOHM NocTayvanbHUKa.

Lle nornoMoxe CnpocTUTK TOPriBebHIN MepeXi KOMyHiKaLito 3 mocTavyanbHuKamu, aBToMaTusyeaTu npouec. He noTpibHo 6yne
OKPEMO BPYYHY pO3CuniaTi nnaHorpammu noctayanbHuKam.

Related issues:
Related to [EPIC] Mo6inbHuii ponatok - User story #5544: HapgaHHs 4ocTyniB nocT... New

History

#1 - 21/08/2023 04:31 - ¥ Sandra Ta Chan

- Description updated

#2 - 04/09/2023 08:53 - & Olha Hapochka
- Project changed from Consulting to Shelf dev

- Assignee changed from % Alexey Medvedev to # Olha Hapochka

#3 - 04/09/2023 08:53 - # Olha Hapochka

- Target version set to Release 108

#4 - 07/09/2023 12:28 - & Olha Hapochka
- Assignee changed from # Olha Hapochka to # Aleksandr Tsymbalyuk

- Target version changed from Release 108 to 25 mobile

#5 - 12/06/2024 07:32 - 4 Pavlo Scherbatyuk

- Target version changed from 25 mobile to 26 mobile

#6 - 17/06/2024 14:26 - & Aleksandr Bilousko

- Related to User story #5544: HapaHHS focTyniB nocra4anbHukam B Mob.3acTocyHKy added

#7 - 19/06/2024 01:31 - & llya Lepkin-Titov

BB: Po3pobutu cepsic - MocTavyanbHuku, 4ns MoGiNbHOro 3aCTOCYHKY, Ae NocTavanbHUKWM Morn 6 NepeBipsiTv BUKNALKY CBOrO NPOAYKTY Ha
nnaHorpaMi, ans I'IepeBipKVI BMKOHAHHS OOMOBMIEHOCTEN 3 MarasvHoM.

[ns uboro noTpiBHO CTBOPUTY HOBMIA CepBic B MOGinbHOMY fonaTtky - [octayanbHUKK.
KopwucTtyBayi B LbOMy MOAY i MOBUHHI Matun 3Mory:

1. lMepeouBnTnCS yCi NnaHorpammn Ha SK1x BUCTaBMIEH MOro TOBAP i BiANOBIAAE yMOBaM (inbTpiB.
2. [lopaTtn ooTO [0 NNaHorpamu.

3. MNepeanBMTUCS CNNCOK TOBAPIB LIbOro NocTavyanbHVKa Ha naaHorpami.

4. MaTu 3Mory nosHayatu nnaHorpamu sKi BiAnoBsigaloTb yMoBam AOrOBOPY Y Hi.

Doctyn no monynb MocTayanbHUKM BUAAETLCS B HANAWTYBaHHSAX KopucTyBaya B Beb Bepcii, MoLynb - MocTavanbHuku. B nocTynHux pecypcax
nonawTb Hassy noctavanbHuka, no ki 6ynyTb dpinbTpyBaTucs ToBapu i nnaHorpamu. dinbTp Kateropii (CNMcok nanok B HOMEHKNATYpI) - €
[0AaTKoBMM (hinbTPOM, MO KaTeropii B Ky BXOANTb TOBap.

Cnucok LOCTYMHWX PECypCiB:

1. Maraaunnu

2. ObnagHaHHs
3. MnaHorpama
4. MeHto

dyHKUioHanbHiCTb B cepB.ici NocTavyanbHUKK:
Po3pin MaraauHu:

1. KopucTyBayy BOCTYMHUIA CMMCOK MarasuHiB B SIKWX BUCTaBNEHi oro Tosapu, abo mMarasuHu siki AoAaHi B HAnawWTyBaHHSX Ha oro ponb abo
KopucTyBaua.

Pospin O6nagHaHHS:

1. He mae paw6bopny, Tak Sk He Mae cTaTycis.

2. llocTynHi Tinbku Ti nnaHorpamu, Ha siki JoAaHi Tosapy 06paHoro noctavanbHYKa.

3. MnaHorpamu BigobpaxatoTcs cnmcko, sk "MokasaTtu Bci 06naaHaHHS"

4. B kopucTyBaya mae 6yTu MOXMBICTb NOWYKY TOBApy Ha nnaHorpami.

5. dkuwo fofaHo HanawTyBaHHS Mo rpyni ToBapie, TO BiA6yBaeTbCA fOAATKOBE (PiNbTPYBAHHS NocTavanbHMKa no rpyni ToBapis. Tomi
BinobpaxaTtu TifbKW Ti MnaHorpamu siki 3a40BifbHSIOTb YMOBaM (PinbTPyBaHHS MO NOCTa4YanbHUKY i Fpyni ToBapis.

6. SIKwWo BiOKPMTO po3Ain obnafHaHHs 3 MarasuHy Lo NaaHorpam SKoro He [oLaHO XOAHOro ToBapy, siki 6 3aA0BiNbHSANN yMOBaM inbTpiB B
HanawTyBaHHsX, TO He BimobpaxaTyn XO04HOT NnaHorpamu.

Pospin MnaHorpamu:

1. CtaTtyciB He Mae.
2. Ha nnaHorpamax BinobpaxaroTbcsi yci ToBapy.
1. ToBapw, siki He BiOMOBIAAIOTb YMOBaM (PiNbTPyBaHHS BiobpaxatTbCs CipyiM KONbOPOM i He MaloTb Nianucis. HanawTyBaHHs 3
HanawTyBaHb B MOBiNbHOMY 3aCTOCYHKY, po3dpapboBka i Nifnmcu, He PO3noBCIOLXYIOTLCS Ha Lii ToBapW.
2. SIKWWO HAaTUCHYTW Ha cipuli ToBap, TO BiH B AeTansx BigobpaxaeTbcs, sk "Hesigomuii ToBap".
3. ToBapw, nocTayanbHUKa Bifobpaxaru 3rigHo HanawTyeaHb po3¢apb0oBKY i MiANMCIB B HAnawTyBaHHSX MOBINbHOrO 3aCTOCYHKY.
3. MeHio B [naHorpamax MiCTuUTb:
1. P0oT0 - NocTayanbHYK NOBMHEH 6a4nNTH NuLE CBOE POTO.
2. Cnncok - Tinbkn ToBapy noctavyanbHyKa.
3. UeHTtpyBatn.
4. B nowyky ToBapy Ha nnaHorpami SOCTYMHi Tinbky TOBapw, SKi 3a40BiNbHAIOTb YMOBaM (PiNbTpyBaHHS.
5. B nocTavanbHukiB He Mae 6yTu MoxnuBocTi ckaHyBatu QR code nnaHorpam.

MeHto - 6e3 3MiH.
He ¢pyHKUiOHanbHi BUMOru:

1. B po3pini O6nanHaHHs ikOHKM CMINCKY MAaHorpaM MatoTb KOMip po3dpapboBKu Takuid, SKu1il BCTAHOBNEHUI B HanawTyBaHHi "Konboposa
cxema".

2. B posgini NMnaHorpama kHonku Ha nnawi 3any i JoaaTt hoTo MatoTb KONip po3cpapboBKy TakuiA, SIKUA BCTAHOBNEHWUIA B HAnawWTyBaHHI
"Konboposa cxema".

3. SKwWwo ¢oTo AoaaHo, nopsia 3 KHonkot JonaTty gooTo Binobpaxartu 3eneHy ranoudky.

#8 - 21/06/2024 02:23 - # llya Lepkin-Titov
- Status changed from New to Designing

- Assignee changed from # Aleksandr Tsymbalyuk to # Aleksandr Bilousko

#9 - 21/06/2024 08:21 - & Aleksandr Bilousko
- Assignee changed from % Aleksandr Bilousko to % llya Lepkin-Titov

MpoTtoTnn B pirmi - https:/www.figma.com/design/T7cyvn9KmXdp0Zg1dZyrS4/Mobile-App-(1-8) ?node-id=1782-10088
#10 - 01/07/2024 06:19 - & llya Lepkin-Titov
- Status changed from Designing to Ready for development

- Assignee changed from & llya Lepkin-Titov to # Aleksandr Tsymbalyuk

#11 - 07/02/2025 05:01 - & Aleksandr Bilousko
- Project changed from Shelf dev to [EPIC] Mo6inbHuii nonarok
- Start date deleted (18/08/2023)

#12 - 07/02/2025 05:04 - & Aleksandr Bilousko
- Tracker changed from User story to Task

- Current Version set to Release 110

#13 - 09/04/2025 07:51 - & Katarina Herikh
- Priority changed from Normal to High

- Target version changed from 26 mobile to 27 mobile
